import turtle

# Create a new turtle screen and set its background color
screen = turtle.Screen()
screen.bgcolor("white")

# Create a new turtle object
sun = turtle.Turtle()
sun.speed(2)  # Set the speed of the turtle

# Draw the sun's rays
sun.color("orange")
for i in range(18):
    sun.forward(100)
    sun.right(20)

# Draw the sun's center
sun.color("yellow")
sun.fillcolor("yellow")
sun.begin_fill()
sun.circle(50)
sun.end_fill()

# Draw the sun's shadow
shadow = turtle.Turtle()
shadow.color("black")
shadow.fillcolor("black")
shadow.begin_fill()
shadow.circle(50, 100)
shadow.end_fill()

# Hide the turtle
sun.hideturtle()
shadow.hideturtle()

# Keep the window open
turtle.done()