"""
現在の作業ディレクトリは，
[Run Python File] で実行すると，VSCode で開いたフォルダ(Python_DX)
[jupyter interactive] で実行すると，ファイルがあるフォルダ(Sample2_7_openpyxl)
となる．
どちらの環境で実行しても同じ場所にファイルを入出力するするために，
カレントディレクトリに応じて作業ディレクトリを得る関数
"""

# カレントディレクトリを取得し，ファイルの入出力場所（work_dir）を指定する
import os

def getWorkDir(dirname):
    cwd = os.getcwd()
    print(f"CWD is {cwd}")

    if cwd.endswith(dirname):
        work_dir = "."
    else:
        work_dir = dirname

    return work_dir

