"""
見積書PDFから情報を抽出する
"""

#%%
#pdf_path = r"Sample2_ex_Automation\御見積書No289099.pdf" #? Run Python File で実行時
pdf_path = r"御見積書No289099.pdf" #? Interactive　(ipython notebook) で実行時

#%%
# tabula-py でPDF内の表を抽出する
import tabula

dfs = tabula.read_pdf(pdf_path, stream=True, encoding="shift-jis", lattice=True, pages=[1])

print(f"\n{len(dfs)} tables found.")

for i, df in enumerate(dfs):
    print(f"\nTable No.{i}")
    print(df)

# %%
# pdfminer.six でPDF内の文字列を抽出する

from pdfminer.high_level import extract_text

text = extract_text(pdf_path)
text = text.replace(' ','')
texts = text.split()

for i, txt in enumerate(texts):
    print(i, txt)

#見積No.を検索し，それに続く文字列を取得する
qn = texts.index('見積№') 
print(qn)
quotation_number = texts[qn+2]+texts[qn+3]
print(quotation_number)


# %%
